Name:		sysprog-libse
Version:	4.15
Release:	1%{?dist}
Summary:	Sequencer and Eventcounter library for Sysprog VL @ TU-Wien

Group:		Application/Development
License:	unknown
URL:		http://ti.tuwien.ac.at/rts/teaching/courses/systems_programming
Source0:	seqev-%{version}.tar.gz
Patch0:		se-linux.patch
Patch1:		SE-fhs.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:	gcc
#Requires:	gcc

%description
Sequencer and Eventcounter library for Sysprog VL @ TU-Wien


%prep
%setup -q -n seqev-%{version}
#%patch0 -p1
#%patch1 -p1

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%{_usr}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{_libdir}/libseqev.a
%{_includedir}/sequencer.h
%{_includedir}/eventcounter.h
%{_includedir}/seqev.h
%{_mandir}/man3/Sequencer.3.gz
%{_mandir}/man3/initSequencer.3.gz
%{_mandir}/man3/rmSequencer.3.gz
%{_mandir}/man3/Sticket.3.gz
%{_mandir}/man3/Eventcounter.3.gz
%{_mandir}/man3/initEventcounter.3.gz
%{_mandir}/man3/rmEventcounter.3.gz
%{_mandir}/man3/Eawait.3.gz
%{_mandir}/man3/Eread.3.gz
%{_mandir}/man3/Eadvance.3.gz
%{_mandir}/man3/sequencer.3.gz
%{_mandir}/man3/create_sequencer.3.gz
%{_mandir}/man3/rm_sequencer.3.gz
%{_mandir}/man3/sticket.3.gz
%{_mandir}/man3/eventcounter.3.gz
%{_mandir}/man3/create_eventcounter.3.gz
%{_mandir}/man3/rm_eventcounter.3.gz
%{_mandir}/man3/eawait.3.gz
%{_mandir}/man3/eread.3.gz
%{_mandir}/man3/eadvance.3.gz

%changelog
* Tue Jan 13 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 4.15-1
- New upstream release

